﻿function inherit(base) {
    /// <summary>Derive a child object from a base object. Same as Object.Create except IE9 compatible.</summary>
    /// <param name="base" type="function">The base class.</param>
    /// <returns type="function">A new object derived from base</returns>
    function F() { }
    F.prototype = base;
    return new F;
}

function inIframe() {
    try {
        return window.self !== window.top;
    } catch (e) {
        return true;
    }
}