﻿function Sprite(assets, x, y, w, h) {
    Entity.call(this, x, y, w, h);
    this.assets = assets;
    this.animations = new Sequences();
}
Sprite.prototype = inherit(Entity.prototype);
Sprite.prototype.constructor = Sprite;

Sprite.prototype.render = function (ctx) {
    if (this.dead) {
        return;
    }

    var asset = this.animations.getCurrent(); // this.assets.get('birdl1');
    var img = this.assets.get(asset);
    try {
        ctx.drawImage(img, 0, 0, this.width, this.height,
            -this.width * this.pivotX,
            -this.height * this.pivotY,
            this.width,
            this.height
        );
    } catch (e) {
//        console.log(e);
    }
}
